org.keycloak.dom.saml.v2.assertion

## Class EvidenceType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.EvidenceType

- All Implemented Interfaces:
    Serializable

      public class EvidenceType
      extends Object
      implements Serializable

  Java class for EvidenceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EvidenceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded">
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AssertionIDRef"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AssertionURIRef"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Assertion"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedAssertion"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EvidenceType.ChoiceType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<EvidenceType.ChoiceType>` | `evidences`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvidenceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvidence(EvidenceType.ChoiceType evidence)` Add an evidence
    `List<EvidenceType.ChoiceType>` | `evidences()` Get the list of evidences as a read only list
    `void` | `removeEvidence(EvidenceType.ChoiceType evidence)` Remove an evidence

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### evidences

          protected List<EvidenceType.ChoiceType> evidences

  - ### Constructor Detail

    - #### EvidenceType

          public EvidenceType()

  - ### Method Detail

    - #### addEvidence

          public void addEvidence(EvidenceType.ChoiceType evidence)

      Add an evidence
      Parameters:
        `evidence` -

    - #### removeEvidence

          public void removeEvidence(EvidenceType.ChoiceType evidence)

      Remove an evidence
      Parameters:
        `evidence` -

    - #### evidences

          public List<EvidenceType.ChoiceType> evidences()

      Get the list of evidences as a read only list
      Returns:

Copyright © 2016 JBoss by Red Hat. All rights reserved.